Okay, lets keep the icons.

About the web-midi-api folder; this is ultimately your decision.

In the current version the web-midi-api folder contains the files that are published to npm, but to support module import we need to publish other files and folders as well.

That is why I have reorganized the folder structure of the repository so it matches a commonly used folder layout for npm packages which includes the following folders:

* `src` &rarr; source code of the package
* `build` &rarr; source code compiled and bundled into one single es5 file
* `dist` &rarr; source code compiled to commonjs

The content of the `src` folder can be used for reference by the end-user and it is used by bundlers that support es-next code like Rollup.

The content of the `build` folder is for plain es5 projects; this folder contains the files that you can add to your project using a script tag.

The content of the `dist` folder is used if you import the shim as a module in commonjs using `require` or es-next projects using `import`. Most Node.js projects are written in commonjs but you can also write Node.js projects in es-next.

In the package.json file there are 3 important fields that instruct npm to fetch the right file from the package:

* `main` &rarr; points to the Node.js entry point file
* `browser` &rarr; points to the commonjs entry point file
* `module` &rarr; points to the es-next entry point file

The new folder layout allows us to publish the Github repository *as is* to npm instead of publishing it via a forked and slightly changed version of the repository.

The files and folders that are not necessary for the functionality of the npm package are added to the .npmignore file.

Note: as of version 8.5.0 Node.js supports es-next modules natively, see this [article](http://2ality.com/2017/09/native-esm-node.html). This makes it even more important to add a `module` field to the package.json and include the es-next code in the npm package.
